<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('jobs_batches', function (Blueprint $table) {
            $table->id();
            $table->string("name",255)->nullable();
            $table->integer("total_jobs")->nullable();
            $table->integer("pending_jobs")->nullable();
            $table->integer("failed_jobs")->nullable();
            $table->integer("failed_jobs_ids")->nullable();
            $table->string("options",255)->nullable();
            $table->timestamp("cancelled_at")->nullable();
            $table->integer("finished_at")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('jobs_batches');
    }
};